Bug 204651 - Regression in RHBA-2006:0125-8: gcc segfaults
Regression in RHBA-2006:0125-8: gcc segfaults
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 12:16 EDT by Ben Hutchings
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: 3.4.6-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 03:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Hutchings 2006-08-30 12:16:24 EDT
Description of problem:
GCC segfaults when compiling code that uses a function pointer as a structure
field initialiser. This is a serious regression from the original RHEL4 version
of GCC.

Version-Release number of selected component (if applicable):
3.4.5-2

How reproducible:
Always.

Steps to Reproduce:
1. Save the following code to test.c:
   void foo(void) {}
   int main(void)
   {
       struct bar { void (*baz)(void); } blah = { foo };
       return 0;
   }
2. Run gcc test.c
Comment 1 Jakub Jelinek 2006-09-01 03:40:49 EDT
Thsi doesn't segfault with gcc-3.4.6-3 (RHEL4 U4 gcc).

Note You need to log in before you can comment on or make changes to this bug.